<?php
define('SF_ROOT_DIR', realpath(realpath('./../')));
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'functions'.DIRECTORY_SEPARATOR.'mensajes.php');

//header("Content-type: application/json; charset=utf-8");
$content = trim(file_get_contents("php://input"));
 
//Attempt to decode the incoming RAW post data from JSON.
$decoded = json_decode($content, true);
 
$_POST = $decoded;

/*
$_POST['datos']['idusuario'] 	= "centrolima";
$_POST['datos']['idsucursal'] 	= "2";
$_POST['datos']['token'] 		= "89nm75nh788";
*/

//$_POST['datos']['idusuario'] 	= "supervisor2";
//$_POST['datos']['idmercado'] 	= "10";
//$_POST['datos']['token'] 		= "89nm75nh788";


/*
$_POST['datos']['idusuario'] 	= "admin.sucursal";
$_POST['datos']['idsucursal'] 	= "1";
$_POST['datos']['token'] 		= "89nm75nh788";
*
/*
$_POST['datos']['idusuario'] 	= "admin.general";
//$_POST['datos']['idsucursal'] 	= "2";
$_POST['datos']['token'] 		= "89nm75nh788";
*/

$cadena_log = json_encode($_POST);

guardar_log($cadena_log);

$j_datos = $_POST;

$s_token 			= "89nm75nh788";


$o_datos = $j_datos['datos'];
//header("Content-type: application/json; charset=utf-8");
if($s_token == $o_datos['token']){
	    $idusuario 	= $o_datos['idusuario'];
	    $idsucursal = $o_datos['idsucursal'];
	    $idmercado 	= $o_datos['idmercado'];
	    if (1) {
	        
	        $o_user = new user_class();
							
			if ($o_user->findUser($idusuario)){
				
				$a_SucursalMercado 	= sucursalMercado($o_user,$idsucursal,$idmercado);
				
				//print_r($a_SucursalMercado);
				
				if($a_SucursalMercado['idmercado']){
					$a_mercado[] = $a_SucursalMercado['idmercado'];
				}elseif($a_SucursalMercado['idsmercados']){
					$a_mercado = $a_SucursalMercado['idsmercados'];
				}
				
				$o_mercadoBean = new MercadoBean();
				$o_mercadoBean->sortCampos = "Descripcion";
				$o_mercadoBean->sortType   = "1";
				$o_mercadoBean->setIdMercados($a_mercado);
				
				$o_mercadoDP = new MercadoDP($o_mercadoBean);
				$a_o_mercadoBean = $o_mercadoDP->select();
				$i = 1;
				foreach ($a_o_mercadoBean as $key => $o_mercadoBean){
					$matrix[$i]['idmercado'] = $o_mercadoBean->getIdMercado();
	                $matrix[$i]['descripcion'] = $o_mercadoBean->getDescripcion();
	                $i++;
				}
				$datos['estado'] = '1';
				$datos['mercado'] = $matrix;
				
				print json_encode($datos);
				//print json_encode($datos, JSON_UNESCAPED_UNICODE);
			}
	        
	    }else{
	        print json_encode(array(
	            "estado" => 30,
	            "mensaje" => "Acceso no autorizado"
	        ));
	    }
}else{
    print json_encode(array(
        "estado" => 30,
        "mensaje" => "Falta datos, Acceso no autorizado"
    ));
}



//metodo 
function guardar_log($cadena_log){
	
	$con = Conexion::getConexion();
    $sql = "INSERT INTO 
            cr_wslog
            (idlog,cadena,fecharegistro)
            values
            (null,'".$cadena_log."',now())"
            ;
	//echo $sql;  	
	$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
}


function sucursalMercado($o_user,$idsucursal='',$idmercado=''){
	if($o_user->getUserRoleId() == "sys.ope"){ 
		
		
		$IdColaborador			  	= $o_user->getIdColaborador();
		$IdAdministrador	  		= $o_user->getIdParent();
		$o_ObjectBean 	= new SucursalBean();
		if($IdAdministrador)		$o_ObjectBean->setIdAdministrador($IdAdministrador);
		$o_class 					= new SucursalBL();
		$a_ObjectBean 				= $o_class->busquedaSucursal($o_ObjectBean);
		
		if(count($a_ObjectBean)>0){
	    	foreach ($a_ObjectBean as $iKey => $o_objBean){
	    		$a_user['idsucursal'] = $o_objBean->getIdSucursal();
	    		$a_user['sucursal'] = $o_objBean->getDescripcion();
	    	}
	    }
	    
	    
	    $o_MercadoRepresentante = new MercadoRepresentanteBean();
		$o_MercadoRepresentante->setIdColaborador($IdColaborador);
		$o_MercadoRepresentanteBL = new MercadoRepresentanteBL();
		$a_o_repmer = $o_MercadoRepresentanteBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentante);
		
		foreach ($a_o_repmer as $key => $o_repmer){
			
			
			$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($o_repmer->getIdMercado());
			$o_MercadoDP = new MercadoDP($o_MercadoBean);
			$a_MercadoDP = $o_MercadoDP->select();
			foreach ($a_MercadoDP as $key => $o_MercadoDP){
				$a_user['idmercado'] 	= $o_MercadoDP->getIdMercado();	
				$a_user['mercado'] 		= $o_MercadoDP->getDescripcion();	
			}
		}
	}elseif($o_user->getUserRoleId() == "sys.res"){ // Detectar Sucursal y Mercado si es Administrador de Sucursal
		$IdAdministrador	  		= $o_user->getIdColaborador();
		$o_ObjectBean 				= new SucursalBean();
		if($idsucursal){
			$o_ObjectBean->setIdSucursal($idsucursal);
		}else{
			$o_ObjectBean->setIdAdministrador($IdAdministrador);
		}
				
		$o_class 					= new SucursalBL();
		$a_ObjectBean 				= $o_class->busquedaSucursal($o_ObjectBean);
		
		if(count($a_ObjectBean) > 0){
	    	foreach ($a_ObjectBean as $iKey => $o_objBean){
	    		$a_user['idsucursal'] = $o_objBean->getIdSucursal();
	    		$a_user['sucursal'] = $o_objBean->getDescripcion();
	    		$o_SucursalMercadoBean = new SucursalMercadoBean();
	    		$o_SucursalMercadoBean->setIdSucursal($o_objBean->getIdSucursal());
				$o_SucursalMercadoBL = new SucursalMercadoBL();
				$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
				if(is_array($a_o_sucursalmercado)){
					foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
						$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
					}
				}
	    	}
	    }
		
		$a_user['mercado'] 		= "";
		$a_user['idmercado'] 	= "";
		$a_user['idsmercados'] 	= $a_IdMercados;
	}elseif($o_user->getUserRoleId() == "sys.sup"){ // Detectar Sucursal y Mercado si es Administrador de Sucursal
		$IdColaborador			  	= $o_user->getIdColaborador();
		
		$IdAdministrador	  		= $o_user->getIdParent();
		$o_ObjectBean 	= new SucursalBean();
		if($idsucursal){
			$o_ObjectBean->setIdSucursal($idsucursal);
		}else{
			if($IdAdministrador)		$o_ObjectBean->setIdAdministrador($IdAdministrador);
		}
		
		
		$o_class 					= new SucursalBL();
		$a_ObjectBean 				= $o_class->busquedaSucursal($o_ObjectBean);
		
		if(count($a_ObjectBean)>0){
	    	foreach ($a_ObjectBean as $iKey => $o_objBean){
	    		$a_user['idsucursal'] = $o_objBean->getIdSucursal();
	    		$a_user['sucursal'] = $o_objBean->getDescripcion();
	    		$o_SucursalMercadoBean = new SucursalMercadoBean();
	    		$o_SucursalMercadoBean->setIdSucursal($o_objBean->getIdSucursal());
	    		if($idmercado)$o_SucursalMercadoBean->setIdMercado($idmercado);
				$o_SucursalMercadoBL = new SucursalMercadoBL();
				$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
				if(is_array($a_o_sucursalmercado)){
					foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
						$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
					}
				}
	    	}
	    }
		$a_user['idmercado'] 	= "";
		$a_user['idsmercados'] 	= $a_IdMercados;
	}elseif($o_user->getUserRoleId() == "sys.gen"){									
		$a_user['idsucursal'] = $idsucursal;
		$o_SucursalMercadoBean = new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdSucursal($idsucursal);
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
		$a_user['idsmercados'] 	= $a_IdMercados;
	}
	return $a_user;
}

?>
